{*
    This file is a default InterWorx template, and should not be edited. InterWorx
    upgrades will overwrite edits to this file.

    Templates may be customized by running any of these commands as appropriate:

        ~iworx/bin/config.pex --customize-template mail/roundcube-config --for-global

    This template is generated on upgrade, but may also be manually triggered by:

        ~iworx/bin/config.pex --regenerate-roundcube-config

*}
<?php
/*
    Local configuration for Roundcube Webmail

    Roundcube merges these values on top of default values listed in defaults.inc.php
*/

// display these folders separately in the mailbox list.
// these folders will also be displayed with localized names
// NOTE: Use folder names with namespace prefix (INBOX. on Courier-IMAP)
$config['default_folders'] = [
    'INBOX',
    'INBOX.Drafts',
    'INBOX.Sent',
    'INBOX.Spam',
    'INBOX.Trash',
];

// PEAR database DSN for read/write operations
// format is db_provider://user:password@host/database
// currently supported db_providers: mysql, mysqli, pgsql, sqlite, mssql
$config['db_dsnw'] = '{$ROUNDCUBE_DSN}';

// SMTP port. Use 25 for cleartext, 465 for Implicit TLS, or
$config['smtp_port'] = 587;

// SMTP username (if required) if you use %u as the username
// will use the current username for login
$config['smtp_user'] = '%u';

// SMTP password (if required) if you use %p as the password
// will use the current user's password for login
$config['smtp_pass'] = '%p';

// provide an URL where a user can get support for this Round
// PLEASE DO NOT LINK TO THE ROUNDCUBE.NET WEBSITE HERE!
//$config['support_url'] = '';

// the mail host chosen to perform the log-in
// leave blank to show a textbox at login, give a list of hosts
// to display a pulldown menu or set one host as string.
// To use SSL connection, enter ssl://hostname:993
$config['default_host'] = 'ssl://127.0.0.1:993';

// TCP port used for IMAP connections
$config['default_port'] = 993;

// This key is used for encrypting purposes, like storing of imap password
// in the session. For historical reasons it's called DES_key, but it's used
// with any configured cipher_method.
$config['des_key'] = 'y%E?rzC2Erk07%?gpJ7%%-Sf';

// How many seconds must pass between emails sent by a user
$config['sendmail_delay'] = 0;

// List of active plugins (in plugins/ directory)
$config['plugins'] = [
    'password',
    'archive',
    'zipdownload',
    'sauserprefs',
    'dnsbl',
    'limit_recipients',
    'log_sender',
    'http_authentication',
    'disablecsrf',
];

// default sort col
$config['message_sort_col'] = 'date';

// These cols are shown in the message list. Available cols are:
// subject, from, to, cc, replyto, date, size, flag, attachment
$config['list_cols'] = array('subject', 'from', 'date', 'size', 'flag', 'attachment');

// use this format for detailed date/time formatting
$config['date_long'] = 'd.m.Y H:i';

// store draft message is this mailbox
// leave blank if draft messages should not be stored
$config['drafts_mbox'] = 'INBOX.Drafts';

// store spam messages in this mailbox
$config['junk_mbox'] = 'INBOX.Spam';

// store sent message is this mailbox
// leave blank if sent messages should not be stored
$config['sent_mbox'] = 'INBOX.Sent';

// move messages to this folder when deleting them
// leave blank if they should be deleted directly
$config['trash_mbox'] = 'INBOX.Trash';

// automatically create the above listed default folders on login
$config['create_default_folders'] = true;

// compose html formatted messages by default
//  0 - never,
//  1 - always,
//  2 - on reply to HTML message,
//  3 - on forward or reply to HTML message
//  4 - always, except when replying to plain text message
$config['htmleditor'] = 4;

// Encoding of long/non-ascii attachment names:
// 0 - Full RFC 2231 compatible
// 1 - RFC 2047 for 'name' and RFC 2231 for 'filename' parameter (Thunderbird's default)
// 2 - Full 2047 compatible
$config['mime_param_folding'] = 0;

// enable caching of messages and mailbox data in the local database.
// this is recommended if the IMAP server does not run on the same machine
$config['enable_caching'] = true;

// lifetime of message cache
// possible units: s, m, h, d, w
$config['message_cache_lifetime'] = '10d';

// use this format for today's date display
$config['date_today'] = 'H:i';

// is daylight saving On?
$config['dst_active'] = true;

// focus new window if new message arrives
$config['focus_on_new_message'] = true;

$config['imap_conn_options'] = [
    'ssl' => [
        'verify_peer'      => false,
        'verify_peer_name' => false,
    ],
];

// skin name: folder from skins
$config['skin'] = 'elastic';
