#!/bin/sh
tolower ()             #  Converts string(s) passed as argument(s)
{                      #+ to lowercase.

  if [ -z "$1" ]       #  If no argument(s) passed,
  then                 #+ send error message
    echo "(null)"      #+ (C-style void-pointer error message)
    return             #+ and return from function.
  fi

  echo "$@" | tr A-Z a-z
  # Translate all passed arguments ($@).

  return

# Use command substitution to set a variable to function output.
# For example:
#    oldvar="A seT of miXed-caSe LEtTerS"
#    newvar=`tolower "$oldvar"`
#    echo "$newvar"    # a set of mixed-case letters
#
# Exercise: Rewrite this function to change lowercase passed argument(s)
#           to uppercase ... toupper()  [easy].
}

newext=`tolower "$EXT"`
newhost=`tolower "$HOST"`

AUTORESPOND="/usr/bin/qmail-autoresponder"

if [ "$newhost" != "" ];
then
    DOMDIR=`/home/vpopmail/bin/vdominfo -d $newhost | head -n1`
    $AUTORESPOND -t 10000 -n 5 -O numlines=15 -O copymsg -O headerkeep="" -O separator="-------- Original Message --------" $DOMDIR/$newext/message $DOMDIR/$newext
fi
